<?php
/**
 * ZanBlog 集合组件
 *
 * @package    ZanBlog
 * @subpackage Widget
 */
 
class Zan_Sets extends WP_Widget {

  // 设定小工具信息
  function Zan_Sets() {
    $widget_options = array(
          'name'        => '集合组件（ZanBlog）', 
          'description' => 'ZanBlog 集合组件，包含文章目录、友情链接、热门标签模块' 
    );
    parent::WP_Widget( false, false, $widget_options );  
  }

  // 设定小工具结构
  function widget( $args, $instance ) {  
  	extract($args);
    @$title1 = $instance['title1'] ? $instance['title1'] : '文章目录';
    @$title2 = $instance['title2'] ? $instance['title2'] : '友情链接';
    @$title3 = $instance['title3'] ? $instance['title3'] : '热门标签';
    echo $before_widget;
    ?>

    <div class="panel panel-zan set">
      <ul class="nav nav-pills pills-zan">
        <?php if (is_single()) { ?>
            <li class="active"><a href="#toc" data-toggle="tab"><?php echo $title1; ?></a></li>
            <li><a href="#sidebar-links" data-toggle="tab"><?php echo $title2; ?></a></li>
        <?php } else { ?>
            <li class="active"><a href="#sidebar-links" data-toggle="tab"><?php echo $title2; ?></a></li>
        <?php } ?>
        <li><a href="#sidebar-tags" data-toggle="tab"><?php echo $title3; ?></a></li>
      </ul>
      <div class="tab-content">
        <?php if (is_single()) { ?>
            <div class="tab-pane active" id="toc"></div>
            <div class="tab-pane nav fade" id="sidebar-links"><?php wp_list_bookmarks('title_li=&categorize=0'); ?></div>
        <?php } else { ?>
            <div class="tab-pane active nav fade in" id="sidebar-links"><?php wp_list_bookmarks('title_li=&categorize=0'); ?></div>
        <?php } ?>
        <div class="tab-pane fade" id="sidebar-tags"><?php wp_tag_cloud('smallest=8&largest=20&number=50'); ?></div>
      </div>
    </div>
    <?php
    echo $after_widget;
  }

  function update($new_instance, $old_instance) {                
    return $new_instance;
  }

  function form($instance) {  
    @$title1 = esc_attr( $instance['title1'] );
    @$title2 = esc_attr( $instance['title2'] );
    @$title3 = esc_attr( $instance['title3'] );
    ?>
      <p>
        <label for="<?php echo $this->get_field_id( 'title1' ); ?>">
          标题（默认文章目录）：
          <input class="widefat" id="<?php echo $this->get_field_id( 'title1' ); ?>" name="<?php echo $this->get_field_name( 'title1' ); ?>" type="text" value="<?php echo $title1; ?>" />
        </label>
      </p>
      <p>
        <label for="<?php echo $this->get_field_id( 'title2' ); ?>">
          标题（默认友情链接）：
          <input class="widefat" id="<?php echo $this->get_field_id( 'title2' ); ?>" name="<?php echo $this->get_field_name( 'title2' ); ?>" type="text" value="<?php echo $title2; ?>" />
        </label>
      </p>
      <p>
        <label for="<?php echo $this->get_field_id( 'title3' ); ?>">
          标题（默认热门标签）：
          <input class="widefat" id="<?php echo $this->get_field_id( 'title3' ); ?>" name="<?php echo $this->get_field_name( 'title3' ); ?>" type="text" value="<?php echo $title3; ?>" />
        </label>
      </p>
    <?php 
  }
} 

register_widget( 'Zan_Sets' );
?>
